<!DOCTYPE html>
<html><head>
<title>eric7.EricXML.PluginRepositoryReader</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.EricXML.PluginRepositoryReader</h1>
<p>
Module to read the plug-in repository contents file.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#PluginRepositoryReader">PluginRepositoryReader</a></td>
<td>Class to read the plug-in repository contents file.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="PluginRepositoryReader" ID="PluginRepositoryReader"></a>
<h2>PluginRepositoryReader</h2>
<p>
    Class to read the plug-in repository contents file.
</p>

<h3>Derived from</h3>
XMLStreamReaderBase
<h3>Class Attributes</h3>
<table>
<tr><td>supportedVersions</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#PluginRepositoryReader.__init__">PluginRepositoryReader</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#PluginRepositoryReader.__readPlugin">__readPlugin</a></td>
<td>Private method to read the plug-in info.</td>
</tr>
<tr>
<td><a href="#PluginRepositoryReader.readXML">readXML</a></td>
<td>Public method to read and parse the XML document.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="PluginRepositoryReader.__init__" ID="PluginRepositoryReader.__init__"></a>
<h4>PluginRepositoryReader (Constructor)</h4>
<b>PluginRepositoryReader</b>(<i>device, entryCallback</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>device</i> (QIODevice)</dt>
<dd>
reference to the I/O device to read from
</dd>
<dt><i>entryCallback</i> (function)</dt>
<dd>
reference to a function to be called once the
            data for a plug-in has been read
</dd>
</dl>
<a NAME="PluginRepositoryReader.__readPlugin" ID="PluginRepositoryReader.__readPlugin"></a>
<h4>PluginRepositoryReader.__readPlugin</h4>
<b>__readPlugin</b>(<i></i>)
<p>
        Private method to read the plug-in info.
</p>

<a NAME="PluginRepositoryReader.readXML" ID="PluginRepositoryReader.readXML"></a>
<h4>PluginRepositoryReader.readXML</h4>
<b>readXML</b>(<i></i>)
<p>
        Public method to read and parse the XML document.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
